{% extends 'base.html' %}
{% load static %}
{% load staticfiles %}

{% block title %} Laporan {% endblock title%}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/laporan.css' %}">
    <link rel="stylesheet" type="text/javascript" href="{% static 'js/laporan.js' %}">
{% endblock css%}

{% block content %}
    <div class="container1">
        <div class="row">
            <div class="col-sm-2"></div>
            <div class="col-sm-8">
                <h2 id="header-laporan">daftar laporan</h2>
                <div class ="row"> <!-- Start filter dan urutkan-->
                    <p id="urutkan">urutkan</p>
                    <div class="dropdown" id="dropdown-denda">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Denda
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
                            <button class="dropdown-item" type="button">Rendah ke Tinggi</button>
                            <button class="dropdown-item" type="button">Tinggi ke Rendah</button>
                        </div>
                    </div>
                    <div class="dropdown" id="dropdown-tanggal">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Tanggal
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
                            <button class="dropdown-item" type="button">Terbaru</button>
                            <button class="dropdown-item" type="button">Terdahulu</button>
                        </div>
                    </div>
                    <p id="tampilkan">tampilkan</p>
                    <div class="form-group"> 	
                            <!--		Show Numbers Of Rows 		-->
                        <select class  ="form-control" name="state" id="maxRows">
                            <option value="5000">semua baris</option>
                            <option value="5">5</option>
                            <option value="10">10</option>
                            <option value="15">15</option>
                            <option value="20">20</option> 
                        </select>
                            
                    </div>
                    <div class="dropdown" id="dropdown-filter-status">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Filter Status
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
                            <button class="dropdown-item" type="button">Selesai</button>
                            <button class="dropdown-item" type="button">Dalam Proses</button>
                            <button class="dropdown-item" type="button">Menunggu</button>
                        </div>
                    </div>
                </div> <!-- End Filter and Urutkan row-->
                <!--Start of table-->
                <table class="table" id='book-table'>
                    <tr>
                        <thead>
                            <th scope="col">No</th>
                            <th scope="col">Id Laporan</th>
                            <th scope="col">Tanggal Pinjam</th>
                            <th scope="col">Anggota</th>
                            <th scope="col">Denda<br></th>
                            <th scope="col">Status</th>
                        </thead>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>12345</td>
                        <td>06-06-06</td>
                        <td>1111111 - Ivan Vasquez</td>
                        <td>20000</td>
                        <td>Selesai</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>12223</td>
                        <td>12-12-12</td>
                        <td>222222 - Arthur Blackwell</td>
                        <td>30000</td>
                        <td>Selesai</td>
                    </tr>
                    <tbody></tbody>
                </table>
            
                <!-- End of table-->
                <!-- Start of pagination-->
                <div class='pagination-container' >
                    <nav>
                        <ul class="pagination">
                            <li data-page="prev" >
                                <span> < <span class="sr-only">(current)</span></span>
                            </li>
                            <!--	Here the JS Function Will Add the Rows -->
                            <li data-page="next" id="prev">
                                <span> > <span class="sr-only">(current)</span></span>
                            </li>
                        </ul>
                    </nav>
                </div>
                <!-- End Of Pagination-->
            </div>
            <div class="col-sm-2"></div>
        </div>
    </div>
{% endblock %}